package net.gencat.ctti.canigo.exempleCrudAmbFiltre.bo;

import java.util.List;

import net.gencat.ctti.canigo.exempleCrudAmbFiltre.excepcions.NoPotCanviarPoblacioException;
import net.gencat.ctti.canigo.exempleCrudAmbFiltre.excepcions.PoblacioJaExisteixALaComarcaException;
import net.gencat.ctti.canigo.exempleCrudAmbFiltre.model.Comarca;
import net.gencat.ctti.canigo.exempleCrudAmbFiltre.model.Poblacio;

/**
 * =======================================================================
 * OT Canig
 * 
 * Interfcie que defineix els mtodes del BO
 * ========================================================================
 *
 */
public interface PoblacioBO {

	public List<Poblacio> getAllPoblacions();
	public void refresh(Poblacio poblacio);
	public void refresh(Comarca comarca);
	public List<Comarca> getAllComarques();
	public Comarca getComarca(Long comarcaKey);
	public Poblacio getPoblacio(Long poblacioKey);
	public void addPoblacio(Comarca comarca, Poblacio poblacio) throws PoblacioJaExisteixALaComarcaException;
	public Poblacio updatePoblacio(Poblacio poblacio) throws NoPotCanviarPoblacioException;
	public void delete(Poblacio poblacio);

}
