package net.gencat.ctti.canigo.exempleCrudAmbFiltre.excepcions;

import org.springframework.dao.DataAccessException;

import net.gencat.ctti.canigo.services.exceptions.ExceptionDetails;
import net.gencat.ctti.canigo.services.exceptions.WrappedCheckedException;
import net.gencat.ctti.canigo.services.exceptions.handlers.ExceptionHandlerAdapter;

public class DataAccessExceptionHandler extends ExceptionHandlerAdapter {

	@Override
	public void handleException(Throwable e) throws Throwable {
		if(e instanceof DataAccessException){
			throw new WrappedCheckedException(e, new ExceptionDetails());
		}

	}

}
