package net.gencat.ctti.canigo.exempleMestreDetall.action;

import net.gencat.ctti.canigo.services.web.struts.SpringBindingActionForm;

import org.apache.struts.action.ActionForm;

/**
 * ======================================================================
 * OT Canig
 * 
 * Aquesta classe cont els mtodes necessaris per treballar amb
 * les dades de la classe POJO
 * =======================================================================
 *
 */

public class FormExtractor<E>{
	
	@SuppressWarnings("unchecked")
	public E extractPojo(ActionForm form){
		SpringBindingActionForm springBindingActionForm = (SpringBindingActionForm) form;
		return (E) springBindingActionForm.getTarget(); 
	}
	
	@SuppressWarnings("unchecked")
	public E clearPojo(ActionForm form) throws InstantiationException, IllegalAccessException{
		SpringBindingActionForm springBindingActionForm = (SpringBindingActionForm) form;
		E target = (E) springBindingActionForm.getTarget();
		springBindingActionForm.expose(target.getClass().newInstance());
		return target;
	}
	
	public void expose(ActionForm form, E pojo) throws InstantiationException, IllegalAccessException{
		SpringBindingActionForm springBindingActionForm = (SpringBindingActionForm) form;
		springBindingActionForm.expose(pojo);
	}
	
	
}