package net.gencat.ctti.canigo.exempleMestreDetall.bo;

import java.util.List;

import net.gencat.ctti.canigo.exempleMestreDetall.model.Factura;
import net.gencat.ctti.canigo.exempleMestreDetall.model.Linia;

/**
 * Interfcie del Business Object Factura
 * @author OTCanigo
 *
 */
public interface FacturaBO {
	public List<Factura> getAllFactures();
	
	public void save(Factura factura);
	public void delete(Factura factura);
	public Factura getFactura(Long facturaKey);
	public Linia getLinia(Long liniaKey);
	
	
	public void addLinia(Factura factura, Linia linia) throws LiniaJaExisteixALaFacturaException;
	public Linia updateLinia(Linia linia) throws NoPotCanviarFacturaException;
	public void deleteLinia(Linia currentEmpleat);

}
