package net.gencat.ctti.canigo.galeria.model;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

/**
 * =======================================================================
 * OT Canig
 * 
 * Aquesta classe s el pojo associat a l'acci que es defineix al fitxer 
 * Spring action-servlet.xml.
 * T com atributs totes les propietats a bindejar a la JSP.
 * ========================================================================
 *
 */

public class GaleriaPojo {
	
	private String nom;
	private String nomTT;
	private String password;
	private Date dataCreacio;
	private Date dataModificacio;
	private boolean habil;
	private SelectPojo selectPojo;
	private int optionValue;
	private String comments;
	private String[] allAnimals = new String[]{};
	private String[] hateAnimals = new String[]{};
	private List<AnimalPojo> hateAnimalsList = new ArrayList<AnimalPojo>();
	private List<AnimalPojo> allAnimalsList = new ArrayList<AnimalPojo>();
	private AnimalPojo animalFavorit;
	private List<CategoriaPojo> allCategoriesList = new ArrayList<CategoriaPojo>();
	private CategoriaPojo categoria;
	private String selectedId;
	private String searchPanelText;
	
	
	public String getNomTT() {
		return nomTT;
	}
	public void setNomTT(String nomTT) {
		this.nomTT = nomTT;
	}
	
	public String getSearchPanelText() {
		return searchPanelText;
	}
	public void setSearchPanelText(String searchPanelText) {
		this.searchPanelText = searchPanelText;
	}
	public String getSelectedId() {
		return selectedId;
	}
	public void setSelectedId(String selectedId) {
		this.selectedId = selectedId;
	}
	
	public CategoriaPojo getCategoria() {
		return categoria;
	}
	public void setCategoria(CategoriaPojo categoria) {
		this.categoria = categoria;
	}
	public List<CategoriaPojo> getAllCategoriesList() {
		return allCategoriesList;
	}
	public void setAllCategoriesList(List<CategoriaPojo> allCategoriesList) {
		this.allCategoriesList = allCategoriesList;
	}
	public AnimalPojo getAnimalFavorit() {
		return animalFavorit;
	}
	public void setAnimalFavorit(AnimalPojo animalFavorit) {
		this.animalFavorit = animalFavorit;
	}
	public List<AnimalPojo> getAllAnimalsList() {
		return allAnimalsList;
	}
	public void setAllAnimalsList(List<AnimalPojo> allAnimalsList) {
		this.allAnimalsList = allAnimalsList;
	}
	public List<AnimalPojo> getHateAnimalsList() {
		return hateAnimalsList;
	}
	public void setHateAnimalsList(List<AnimalPojo> hateAnimalsList) {
		this.hateAnimalsList = hateAnimalsList;
	}
	public String[] getAllAnimals() {
		return allAnimals;
	}
	public void setAllAnimals(String[] allAnimals) {
		this.allAnimals = allAnimals;
	}
	public int getOptionValue() {
		return optionValue;
	}
	public void setOptionValue(int optionValue) {
		this.optionValue = optionValue;
	}
	public String getNom() {
		return nom;
	}
	public String[] getHateAnimals() {
		return hateAnimals;
	}
	public void setHateAnimals(String[] hateAnimals) {
		this.hateAnimals = hateAnimals;
	}
	public void setNom(String nom) {
		this.nom = nom;
	}
	public String getPassword() {
		return password;
	}
	public void setPassword(String password) {
		this.password = password;
	}
	public Date getDataCreacio() {
		return dataCreacio;
	}
	public void setDataCreacio(Date dataCreacio) {
		this.dataCreacio = dataCreacio;
	}
	public Date getDataModificacio() {
		return dataModificacio;
	}
	public void setDataModificacio(Date dataModificacio) {
		this.dataModificacio = dataModificacio;
	}
	public boolean isHabil() {
		return habil;
	}
	public void setHabil(boolean habil) {
		this.habil = habil;
	}
	public SelectPojo getSelectPojo() {
		return selectPojo;
	}
	public void setSelectPojo(SelectPojo selectPojo) {
		this.selectPojo = selectPojo;
	}
	public String getComments() {
		return comments;
	}
	public void setComments(String comments) {
		this.comments = comments;
	}

}
