<%@ include file="includes/fwkTagLibs.jsp"%>

<%@page import="org.apache.struts.action.ActionMapping"%>
<%@page import="net.gencat.ctti.canigo.services.web.struts.SpringBindingActionForm"%>
<%
//Inicialitzaci, obtenim valors pel valueList (path,titleName), posem un reqCode per defecte si no n'hi ha cap

ActionMapping mapping = (ActionMapping)request.getAttribute("org.apache.struts.action.mapping.instance");
String mappingPath=mapping.getPath();
String path = (String) request.getAttribute("org.springframework.web.servlet.HandlerMapping.pathWithinHandlerMapping") + mappingPath +  ".do";
String titleName="jsp."+mappingPath.replaceFirst("/","")+"." +mappingPath.replaceFirst("/","")+ "List";

%>

<%--Ara definim una css per fer el layout de formulari sense taules (amb floats)--%>
<style type="text/css">
	<!--
	fieldset{
	border-width: 0.2em;
	border-color:  blue;
	}
	fieldset> *{
	  float:left;
	}
	fieldset> input,label,select,submit,button,.placeholder{
	  float:left;
	  min-width:10em;
	  min-height:1em;
	  margin: 0em 0.4em 0.4em 0px;
	}
	fieldset> br{
	  float:left;
	  min-width:10em;
	clear:both;
	}
	fieldset fieldset{
	float:left;
	border-width: 0.2em;
	border-style: solid;
	margin: 0.4em 0.4em 0.4em 0em;
	padding: 0.4em 0.4em 0.4em 0em;
	
	}
	.multipleSelect{
	min-height: 10em;
	}
	-->
</style>

<html>
	<h1><fmt:message key="exempleMestreDetall"/></h1>
</html>

<%--definim un unic formulari canig que cont tant la fitxa com el filtre,
	aix ens assegurem que es preserven els valors del filtre
	No fem servir gridBagLayout! 
 --%>
<fwk:form styleId="actionForm" action="/startExemple.do" reqCode="view">
	<div>
		Aquest exemple mostra un manteniment Mestre-Detall.<br/> 		
		A la primera pantalla trobem el llistat de factures, amb l'opci de crear-ne
		una de nova. Fent clic al nmero identificador, accedim a la informaci de la
		Factura seleccionada i a sota, les lnies per les que est formada la factura.
		En aquesta segona pantalla podem editar o esborrar la factura, i editar o crear
		noves lnies dins d'aquesta factura.
		<br/><br/><br/>
	</div>
	
    <fieldset class="striped_box">
		<legend>Factura</legend>
		<%-- camp de text normal --%>
		<fwk:text styleId="idText" property="factura.id" key="idKey">
	    </fwk:text>
	    
		<%--br per fi de linia --%>
	    <br/>

		<fwk:text styleId="numFacturaText" property="factura.numFactura" key="jsp.startExemple.startExempleList.numFactura">
	    </fwk:text>	    
	    <br/>

		<fwk:text styleId="nomClientText" property="factura.nomClient" key="jsp.startExemple.startExempleList.nomClient">
	    </fwk:text>	    
	    <br/>

		<fwk:text styleId="telefonText" property="factura.telefon" key="jsp.startExemple.startExempleList.telefon">
	    </fwk:text>

	    <br/><br/>
	    <% if (request.getAttribute("totalFactura") != null) { %>
	    <div class="placeholder" align="right">
	    	<strong>Total Factura:</strong>
	    </div>
	    <div class="placeholder" align="left">
	    	<strong><%=request.getAttribute("totalFactura")%></strong>
	    </div>
	    <br/>
		<br/>
		<%} %>
		<br/><br/><br/>
		<%-- submit --%>
		<fwk:submit styleId="editarSubmit" reqCode="editFactura" key="editarKey"></fwk:submit>
		<fwk:submit styleId="desarSubmit" reqCode="save" key="desarKey"></fwk:submit>
		<fwk:submit styleId="esborrarSubmit" reqCode="delete" key="esborrarKey" onclick="bCancel=true;javascript:return confirm('Esteu segurs que voleu esborrar el registre?');"></fwk:submit>
		<fwk:submit styleId="cancelFacturaSubmit" reqCode="view" key="cancelKey" validate="false"></fwk:submit>
		<fwk:submit styleId="cancelSubmit" reqCode="search" key="tornaKey" validate="false"></fwk:submit><br/>
		<%-- submit --%>
	</fieldset>
	<logic:equal name="actionForm" property="liniaListVisible" value="true">
		<fieldset class="striped_box">
		<legend>Lnies</legend>
		<table>			
			<fwk:vlhroot value="list" url="startExemple.do?" includeParameters="factura.id|reqCode"  configName="vlConfig" >
				<!-- pagination section -->
				<tr>
					<td align="left" nowrap="true">
						<fmt:message key="jsp.categories.categoryList.textPaginacio"/>
						<c:out	value="${list.valueListInfo.totalNumberOfEntries}" /> 
						<fmt:message key="jsp.categories.categoryList.textPaginacio2"/> 
						<fmt:message key="jsp.categories.categoryList.page"/>
						(<c:out value="${list.valueListInfo.pagingPage}" /> 
						<fmt:message key="jsp.categories.categoryList.of"/> <c:out
						value="${list.valueListInfo.totalNumberOfPages}" />)
					</td>
					<td>&nbsp;</td>
					<td>&nbsp;</td>
					<td align="right">
						<fwk:vlhpaging />
					</td>
				</tr>
				<!-- end of Pagination -->				
				<fwk:vlhrow bean="bean">
					<%--vlh:attribute name="align">center</vlh:attribute--%>					
					<fwk:vlhcolumn titleKey="<%=titleName+\".numArticle\"%>" property="numArticle" sortable="true" attributes="width='25%'">
						<fwk:vlhaction url="startExemple.do?">
							<fwk:vlhaddParam name="reqCode" value="editLinia" temp="false" />
							<fwk:vlhaddParam name="factura.id" property="factura.id" temp="false" />
							<fwk:vlhaddParam name="currentLinia.id" property="id" temp="false" />
							<c:out value="${bean.numArticle}"></c:out>
						</fwk:vlhaction>
					</fwk:vlhcolumn>
					<fwk:vlhcolumn titleKey="<%=titleName+\".article\"%>" property="article" sortable="true" attributes="width='35%'">
					</fwk:vlhcolumn>
					<fwk:vlhcolumn titleKey="<%=titleName+\".quantitat\"%>" property="quantitat" sortable="true" attributes="width='10%'">
					</fwk:vlhcolumn>
					<fwk:vlhcolumn titleKey="<%=titleName+\".preu\"%>" property="preu" sortable="true" attributes="width='20%'">
						<c:out value="${bean.preu}"></c:out> &euro;
					</fwk:vlhcolumn>
				</fwk:vlhrow>
			</fwk:vlhroot>
			<tr><td><span class="placeholder"></span></td></tr>
		</table>
		<logic:equal name="actionForm" property="currentLiniaVisible" value="false">				 
			<fwk:submit styleId="nouLiniaSubmit" reqCode="createLinia" key="nouKey"></fwk:submit>
		</logic:equal>
		</fieldset>
	</logic:equal>
		<logic:notEmpty name="actionForm" property="factura.id" >
		<logic:equal name="actionForm" property="currentLiniaVisible" value="true">
		    <fieldset class="striped_box">
	   			<legend>Lnia</legend>
				<%-- camp de text normal --%>
						
					<html:hidden property="currentLiniaIsNewInstance"/>		 
					<fwk:text styleId="idLiniaText" property="currentLinia.id" key="idKey">
				    </fwk:text>
					<%--br per fi de linia --%>
				    <br/>
		
					<%-- camp de text normal --%>
					<fwk:text styleId="numArticleText" property="currentLinia.numArticle" key="jsp.startExemple.startExempleList.numArticle">
				    </fwk:text>
				    <br/>
					<fwk:text styleId="articleText" property="currentLinia.article" key="jsp.startExemple.startExempleList.article">
				    </fwk:text>
				    <br/>
					<fwk:text styleId="quantitatText" property="currentLinia.quantitat" key="jsp.startExemple.startExempleList.quantitat">
				    </fwk:text>
				    <br/>
					<fwk:text styleId="preuText" property="currentLinia.preu" key="jsp.startExemple.startExempleList.preu">
				    </fwk:text>
				    <br/>
				    
				    <span class="placeholder"></span>
				    <br/>
		
					<%-- saltem una columna (posem un span amb clase placeholder que ocupa el lloc d'un input)--%>
					<span class="placeholder"></span>
								
					<%-- submit --%>
					<%-- bCancel=true; evitem la validacio del formulari --%>
					<fwk:submit styleId="desarLiniaSubmit" reqCode="saveLinia" key="desarKey"></fwk:submit>
					<fwk:submit styleId="esborrarLiniaSubmit" reqCode="deleteLinia" key="esborrarKey" onclick="bCancel=true;javascript:return confirm('Esteu segurs que voleu esborrar el registre?');"></fwk:submit>
					<fwk:submit styleId="cancelLiniaSubmit" reqCode="view" key="cancelKey" validate="false"></fwk:submit><br/>
					<%-- submit --%>
				
			</fieldset>
			</logic:equal>
		</logic:notEmpty>
	<fwk:dirtyFormWarning styleId="formWarning" source="actionForm" messageKey="errors.lostChanges"  />
</fwk:form>