package net.gencat.ctti.canigo.exempleCrudAmbFiltre.action;

import java.util.ArrayList;
import java.util.List;

import net.gencat.ctti.canigo.exempleCrudAmbFiltre.model.Comarca;
import net.gencat.ctti.canigo.exempleCrudAmbFiltre.model.Poblacio;

/**
 * =======================================================================
 * OT Canig
 * 
 * POJO que representa a PoblacioAction. L'accio i el POJO s'associen
 * al fitxer Spring action-servlet.xml
 * ========================================================================
 *
 */

public class PoblacioActionPojo {

	private Poblacio poblacio = new Poblacio();
	private Comarca comarca = new Comarca();
	private List<Comarca> allComarques = new ArrayList<Comarca>();
	private boolean filtreVisible=true;
	private boolean editaVisible;
	private Poblacio filtre = new Poblacio();
	private boolean poblacioIsNewInstance = false;
	private String pagingPage = "";
	
	/**
	 * @return the poblacio
	 */
	public Poblacio getPoblacio() {
		return poblacio;
	}
	/**
	 * @param poblacio the poblacio to set
	 */
	public void setPoblacio(Poblacio poblacio) {
		this.poblacio = poblacio;
	}
	/**
	 * @return the allParentPoblacions
	 */
	public List<Comarca> getAllComarques() {
		return allComarques;
	}
	/**
	 * @param allParentPoblacions the allParentPoblacions to set
	 */
	public void setAllComarques(List<Comarca> allComarques) {
		this.allComarques = allComarques;
	}
	/**
	 * @return the filtreVisible
	 */
	public boolean isFiltreVisible() {
		return filtreVisible;
	}
	/**
	 * @param filtreVisible the filtreVisible to set
	 */
	public void setFiltreVisible(boolean filtreVisible) {
		this.filtreVisible = filtreVisible;
	}
	/**
	 * @return the editaVisible
	 */
	public boolean isEditaVisible() {
		return editaVisible;
	}
	/**
	 * @param editaVisible the editaVisible to set
	 */
	public void setEditaVisible(boolean editaVisible) {
		this.editaVisible = editaVisible;
	}
	/**
	 * @return the filtre
	 */
	public Poblacio getFiltre() {
		return filtre;
	}
	/**
	 * @param filtre the filtre to set
	 */
	public void setFiltre(Poblacio filtre) {
		this.filtre = filtre;
	}
	/**
	 * @return the comarca
	 */
	public Comarca getComarca() {
		return comarca;
	}
	/**
	 * @param comarca the comarca to set
	 */
	public void setComarca(Comarca comarca) {
		this.comarca = comarca;
	}
	
	/**
	 * @return the poblacioIsNewInstance
	 */
	public boolean isPoblacioIsNewInstance() {
		return poblacioIsNewInstance;
	}
	
	/**
	 * @param poblacioIsNewInstance the poblacioIsNewInstance to set
	 */
	public void setPoblacioIsNewInstance(boolean poblacioIsNewInstance) {
		this.poblacioIsNewInstance = poblacioIsNewInstance;
	}
	/**
	 * @return the pagingPage
	 */
	public String getPagingPage() {
		return pagingPage;
	}
	/**
	 * @param pagingPage the pagingPage to set
	 */
	public void setPagingPage(String pagingPage) {
		this.pagingPage = pagingPage;
	}
	
	
	
}
