package net.gencat.ctti.canigo.galeria.bo;

import java.util.List;

import org.springframework.transaction.annotation.Propagation;
import org.springframework.transaction.annotation.Transactional;

import net.gencat.ctti.canigo.galeria.model.CategoriaPojo;
import net.gencat.ctti.canigo.services.persistence.UniversalHibernateDAO;

public class CategoriesBOImpl implements CategoriesBO {

	private UniversalHibernateDAO hibernateDAO;
	
	public UniversalHibernateDAO getHibernateDAO() {
		return hibernateDAO;
	}

	public void setHibernateDAO(UniversalHibernateDAO hibernateDAO) {
		this.hibernateDAO = hibernateDAO;
	}
	
	@Transactional(readOnly=true,propagation=Propagation.SUPPORTS)
	public List<CategoriaPojo> getAllCategories() {
		
		return hibernateDAO.findAll(CategoriaPojo.class);
	}

}
