<%@ include file="includes/fwkTagLibs.jsp"%>

<%@page import="org.apache.struts.action.ActionMapping"%>
<%@page import="net.gencat.ctti.canigo.services.web.struts.SpringBindingActionForm"%>
<%@page import="net.gencat.ctti.canigo.exempleCrudAmbFiltre.action.PoblacioActionPojo"%>
<%
//Inicialitzaci, obtenim valors pel valueList (path,titleName), posem un reqCode per defecte si no n'hi ha cap

ActionMapping mapping = (ActionMapping)request.getAttribute("org.apache.struts.action.mapping.instance");
String mappingPath=mapping.getPath();
String path = (String) request.getAttribute("org.springframework.web.servlet.HandlerMapping.pathWithinHandlerMapping") + mappingPath +  ".do";
String titleName="jsp."+mappingPath.replaceFirst("/","")+"." +mappingPath.replaceFirst("/","")+ "List";

String currentPage = "1";
if (request.getParameter("pagingPage") != null) {
	currentPage = (String)request.getParameter("pagingPage");
}

%>
	<%-- Definim una css per fer el layout de formulari sense taules (amb floats)--%>
	
	<style type="text/css">
		<!--
		fieldset{
		border-width: 0.2em;
		border-color:  blue;
		}
		fieldset> *{
		  float:left;
		}
		fieldset> input,label,select,submit,button,.placeholder{
		  float:left;
		  min-width:10em;
		  min-height:1em;
		  margin: 0em 0.4em 0.4em 0px;
		}
		fieldset> br{
		  float:left;
		  min-width:10em;
		clear:both;
		}
		fieldset fieldset{
		float:left;
		border-width: 0.2em;
		border-style: solid;
		margin: 0.4em 0.4em 0.4em 0em;
		padding: 0.4em 0.4em 0.4em 0em;
		
		}
		.multipleSelect{
		min-height: 10em;
		}
		-->
	</style>

	<script type="text/javascript">
		function netejarForm() {
			document.getElementById("nomFiltreText").value = "";
			document.getElementById("comarcaFiltre").value = "";
			document.getElementById("pagingPage").value = "";
		}
	</script>

	<html>
		<h1><fmt:message key="exempleCrudAmbFiltre"/></h1>
	</html>

	<%--definim un unic formulari canig que cont tant la fitxa com el filtre,
		aix ens assegurem que es preserven els valors del filtre
		No fem servir gridBagLayout! 
	 --%>
	<fwk:form styleId="actionForm" action="/startExemple.do" reqCode="save">
		<html:hidden styleId="pagingPage" property="pagingPage" value="<%=currentPage%>"/>
	<div>
		Aquesta pgina mostra un exemple de CRUD d'una entitat (Poblacio).<br/> 		
		En primer lloc es mostra la zona de cerca en qu es pot introduir el filtre 
		per poblaci i/o comarca. A l'aplicar el filtre es mostrar el llistat resultant
		en funci dels parmetres introduits.<br/>
		Per editar un registre, fer clic a la poblaci que es vol editar; es mostrar a 
		sota el camp editable.<br/>
		En canvi, si es vol crear un nou registre, fer clic al bot "Nou" i es mostraran
		a sota els camps per introduir les noves dades.<br/>
		Un cop introdudes les dades, tant per a l'edici com per la creaci, fer clic a 
		"Desar".<br/><br/><br/>
	</div>
			<%-- El seguent fieldset cont els camps del filtre --%>
		    <fieldset class="striped_box">
				<legend><fmt:message key="filtre"/>:</legend>
	
				<%-- camp de text normal, atenci a la property que est vinculada al filtre --%>				 
				<fwk:text styleId="nomFiltreText" property="filtre.nomPoblacio" key="nomKey">
			    </fwk:text>
			    
				<%-- Camp select, atenci a l'us del tag layout:optionsCollection per referenciar una llista del pojo, 
					enlloc d'haver de fer una query via servei 'web-options-lists'  --%>
				
			    <fwk:select property="filtre.comarca.id" styleId="comarcaFiltre" key="comarcaKey" otherKey="Cap" otherValue="" value="poblacio.comarca.id">
			    	<layout:optionsCollection property="allComarques" label="nomComarca" value="id" />
			    </fwk:select>
			     
				<%--br per fi de linia --%>
			    <br/>
			    
				<span class="placeholder"></span>
			    <br/>
	
				<%-- saltem una columna (posem un span amb clase placeholder que ocupa el lloc d'un input)--%>
				<span class="placeholder"></span>
				
				<%-- A continuaci afegim els submits per aplicar i treure filtre, atenci a l'atribut reqCode  --%>
				<fwk:submit styleId="filtreSubmit" reqCode="search" key="filtreKey"></fwk:submit>
				<fwk:submit styleId="netejafiltreSubmit" key="netejaFiltreKey" reqCode="search" onclick="javascript:netejarForm();"></fwk:submit>
	   		</fieldset>
	   		
			<%--br per fi de linia --%>
			<fieldset class="striped_box">
				<legend><fmt:message key="resultats"/></legend>
			
			<table width="100%">
				<fwk:vlhroot value="list" url="startExemple.do?" includeParameters="reqCode|id|filtre.nomPoblacio|filtre.comarca.id"  configName="vlConfig" >
						<fwk:vlhaddParam name="reqCode" value="search" temp="false" />
						
						<!-- pagination section -->
						<tr>
							<td align="left" nowrap="true">
								<fmt:message key="jsp.categories.categoryList.textPaginacio"/>
								<c:out	value="${list.valueListInfo.totalNumberOfEntries}" /> 
								<fmt:message key="jsp.categories.categoryList.textPaginacio2"/> 
								<fmt:message key="jsp.categories.categoryList.page"/>
								(<c:out value="${list.valueListInfo.pagingPage}" /> 
								<fmt:message key="jsp.categories.categoryList.of"/>
								<c:out value="${list.valueListInfo.totalNumberOfPages}" />)
							</td>
							<td align="right">
								<fwk:vlhpaging/>
							</td>
						</tr>
						<!-- end of Pagination -->				
								<fwk:vlhrow bean="bean">
									<fwk:vlhcolumn titleKey="<%=titleName+\".nomPoblacio\"%>" property="nomPoblacio" sortable="true" attributes="width='50%'">
										<fwk:vlhaction url="startExemple.do?">
											<fwk:vlhaddParam name="reqCode" value="edit" temp="false" />
											<fwk:vlhaddParam name="poblacio.id" property="id" temp="false" />
											<fwk:vlhaddParam name="pagingPage" value="<%=currentPage%>" temp="false"/>
											<c:out value="${bean.nomPoblacio}"></c:out>
										</fwk:vlhaction>
									</fwk:vlhcolumn>
									<fwk:vlhcolumn titleKey="<%=titleName+\".comarca.nomComarca\"%>" property="comarca.nomComarca" sortable="true" attributes="width='50%'">
									</fwk:vlhcolumn>
								</fwk:vlhrow>
					<logic:equal name="actionForm" property="editaVisible" value="false">
					<tr>
						<td class="placeholder">
							<%-- submit --%>							
							<fwk:submit styleId="nouSubmit" reqCode="create" key="nouKey"></fwk:submit>				
						</td>
					</tr>
				</logic:equal>
				</fwk:vlhroot>
			</table>
			</fieldset>
			<logic:equal name="actionForm" property="editaVisible" value="true">
		    <fieldset class="striped_box">
					<%-- camp de text normal --%>
					<html:hidden property="poblacioIsNewInstance"/>
					<fwk:text styleId="idText" property="poblacio.id" key="idKey">
				    </fwk:text>
				    
					<%--br per fi de linia --%>
				    <br/>
		
					<%-- camp de text normal --%>
					<fwk:text styleId="nomText" property="poblacio.nomPoblacio" key="nomKey">
				    </fwk:text>
				    <br/>
				    
					<%-- Camp select  --%>
				    <fwk:select property="poblacio.comarca.id" styleId="comarcaSelect" key="comarcaKey" value="poblacio.comarca.id">
				    	<layout:optionsCollection property="allComarques" label="nomComarca" value="id" />
				    </fwk:select>
				    
					<%--br per fi de linia --%>
					<span class="placeholder"></span>
				    <br/>
		
					<%-- saltem una columna (posem un span amb clase placeholder que ocupa el lloc d'un input)--%>
					<span class="placeholder"></span>

					<%-- submit --%>
					<fwk:submit styleId="desarSubmit" reqCode="save" key="desarKey"></fwk:submit>
					<%-- 
					<fwk:submit styleId="esborrarSubmit" reqCode="delete" key="esborrarKey"  onclick="javascript:return confirm('Esteu segurs que voleu esborrar el registre?');"></fwk:submit>
					--%>
					<fwk:submit styleId="cancelSubmit" reqCode="cancel" key="cancelKey"></fwk:submit><br/>
			</fieldset>
			</logic:equal>
	</fwk:form>
