<%@ include file="includes/fwkTagLibs.jsp"%>
<fwk:html>

<%--la segent secci es necessaria pels estils de tooltips --%>
<LINK REL=StyleSheet
      HREF="css/tooltips/tooltips.css"
      TYPE="text/css"
      MEDIA=screen>
   
<style type="text/css">
.code{
	font-family: monospace;
	font-size: 1.2em;
}

form fieldset {
	border: 2px solid #CCCCCC;
	margin: 5px;
}

label {
	padding-right: 5px;
}

select {
	min-width: 10em;
}
#allAnimals {
	float: left;
}
#optionsFieldset {
	padding: 5px; 
	width: 75px; 
	float: left;
}
#swapFieldset {
	float: left;
	padding: 5px;
}

#swapButtons{
	float: left;
	padding: 5px;
}
</style>

<script type="text/javascript"
        src="<c:url value="/scripts/tooltips/dom_tooltip/domLib.js"/>">
</script>
<script type="text/javascript"
        src="<c:url value="/scripts/tooltips/dom_tooltip/domTT.js"/>">
</script>
<script type="text/javascript">
<!--
Event.observe(window, 'load', function() {
 	Event.observe('actionForm', 'submit', function(event) {
	  	var options = $("hateAnimals").options;
	  	for (var index = 0; index < options.length; ++index) {
	  	  var item = options[index];
		    item.selected="selected";
	  	}
  });
});
//-->
</script>
<html>
	<h1><fmt:message key="galeriaTagsCanigo" /></h1>
</html>
<fwk:form styleId="actionForm" action="/startExemple.do" reqCode="save">
<%-- no fer servir gridBagLayout!--%>

	<div>
		Aquesta pgina mostra exemples dels tags bsics de Canig, 
		amb la configuraci i descripci de cadascun d'ells. <br/>
		En primer lloc es mostra un exemple grfic del tag seguit de la seva descripci. 
		A sota es mostra la configuraci del tag corresponent tant per la JSP com  
		per l'arxiu de configuraci Spring (action-servlet.xml)	<br/>
		S'han distribut els tags per tipologia:
		<ul>
			<li><a href="<%=request.getContextPath()%>/AppJava/galeriaTagsCanigo/start.do#text_tags">Camps de text</a></li>
			<li><a href="<%=request.getContextPath()%>/AppJava/galeriaTagsCanigo/start.do#select_tags">Camps de selecci/opcions</a></li>
		</ul>
		
		
	</div>
	<br/>
   <fieldset class="striped_box">
		<legend><a id="text_tags">Camps de text</a></legend>
		<fieldset>
			<legend>Text tag (fwk:text)</legend>
			<table width="100%">
				<tr>
					<td colspan="2" align="left">
						<%-- camp de text normal --%>
				 		<fwk:text styleId="nomText" property="nom" key="nomTextKey"></fwk:text>
				 		<br/><br/>
			 			Camp de text estndard amb etiqueta (label).
					</td>
				</tr>
				<tr>
					<td colspan="2">&nbsp;</td>
				</tr>
				<tr>
					<td width="50%"><b>Configuraci JSP</b></td>
					<td><b>Configuraci action-servlet.xml</b></td>
				</tr>
				<tr>
					<td width="50%">
						<c:set var="jspTextTag">&lt;fwk:text styleId="nomText" property="nom" key="nomKey"/&gt;</c:set>
						<div class="code">
							<fwk:out value="${jspTextTag}" escapeXml="false"/>
						</div>
					</td>
					<td>
						<c:set var="configTextTag">
							&lt;bean parent="textFieldTag"&gt;<br/>
							&nbsp;&nbsp; &lt;property name="styleId" value="nomText"/&gt;<br/>
							&nbsp;&nbsp; &lt;property name="layout" value="false"/&gt;<br/>
							&lt;/bean&gt;
						</c:set>
						<div class="code">
							<fwk:out value="${configTextTag}" escapeXml="false"></fwk:out>
						</div>
					</td>					
				</tr>
			</table>
		</fieldset>
		<fieldset>
			<legend>Text tag amb Tooltip (fwk:text, tooltipKey + tooltipTitleKey)</legend>
			<table>
				<tr>
					<td colspan="2" align="left">
						<%-- camp de text normal --%>
				 		<fwk:text styleId="nomTT" property="nomTT" key="nomTTKey"></fwk:text>
				 		<br/><br/>
			 			Camp de text estndard, l'etiqueta (label) del qual cont un tooltip. Els atributs tooltipKey i tooltipTitleKey 
			 			corresponen a claus multiidioma, al contingut del tooltip i el ttol respectivament.
					</td>
				</tr>
				<tr>
					<td colspan="2">&nbsp;</td>
				</tr>
				<tr>
					<td width="50%"><b>Configuraci JSP</b></td>
					<td><b>Configuraci action-servlet.xml</b></td>
				</tr>
				<tr>
					<td width="50%">
						<c:set var="jspTextTag">&lt;fwk:text styleId="nomTT" property="nomTT" key="nomTTKey"/&gt;</c:set>
						<div class="code">
							<fwk:out value="${jspTextTag}" escapeXml="false"/>
						</div>
					</td>
					<td>
						<c:set var="configTextTag">
							&lt;bean parent="textFieldTag"&gt;<br/>
							&nbsp;&nbsp; &lt;property name="styleId" value="nomTT"/&gt;<br/>
							&nbsp;&nbsp; &lt;property name="layout" value="false"/&gt;<br/>
							&nbsp;&nbsp; &lt;property name="tooltipKey" value="nomTextTooltip"/&gt;<br/>
							&nbsp;&nbsp; &lt;property name="tooltipTitleKey" value="nomTextTooltipTitle"/&gt;<br/>
							&lt;/bean&gt;
						</c:set>
						<div class="code">
							<fwk:out value="${configTextTag}" escapeXml="false"></fwk:out>
						</div>
					</td>					
				</tr>
			</table>
		</fieldset>
		<fieldset>
			<legend>Text tag amb calendari (fwk:text + showCalendar)</legend>
			<table>
				<tr>
					<td colspan="2" >
						<%-- Camp text amb calendari, cal que la property i el styleID siguin iguals --%>			
						<fwk:text styleId="dataCreacio" property="dataCreacio" key="dataCreacio" size="10" maxlength="10"></fwk:text>
						<div class="form-note">
							(dd/mm/aaaa)
						</div>
				 		<br/><br/>
			 			Camp de text amb calendari i una mscara per al format de la data. La mscara es pot definir tant a l'action-servlet com a la JSP.
			 			S'ha d'indicar el tipus de mscara que es vol aplicar ("maskType") i, en el cas de dates, el patr de data que es vol aplicar 
			 			(per exemple: dd/mm/aaaa). En aquest cas, noms es poden introduir carcters numrics, i si s'intenta escriure un carcter no numric,
			 			aquest s esborrat automticament. Les barres de separaci tamb s'introduieixen de manera automtica a mida que es van introduint xifres.
					</td>
				</tr>
				<tr>
					<td colspan="2">&nbsp;</td>
				</tr>
				<tr>
					<td width="50%"><b>Configuraci JSP</b></td>
					<td><b>Configuraci action-servlet.xml</b></td>
				</tr>
				<tr>
					<td width="50%">
						<c:set var="jspTextTag">&lt;fwk:text styleId="dataCreacio" property="dataCreacio" key="dataCreacio"/&gt;</c:set>
						<div class="code">
							<fwk:out value="${jspTextTag}" escapeXml="false"/>
						</div>
					</td>
					<td>
						<c:set var="configTextTag">
							&lt;bean parent="textFieldTag"&gt;<br/>
							&nbsp;&nbsp; &lt;property name="styleId" value="dataCreacio"/&gt;<br/>
							&nbsp;&nbsp; &lt;property name="showCalendar" value="true"/&gt;<br/>
							&nbsp;&nbsp; &lt;property name="maskType" value="date"/&gt;<br/>
							&nbsp;&nbsp; &lt;property name="mask" value="dd/mm/yyyy"/&gt;<br/>
							&nbsp;&nbsp; &lt;property name="layout" value="false"/&gt;<br/>
							&lt;/bean&gt;
						</c:set>
						<div class="code">
							<fwk:out value="${configTextTag}" escapeXml="false"></fwk:out>
						</div>
					</td>
				</tr>
			</table>
		</fieldset>
		<fieldset>
			<legend>Password tag (fwk:password)</legend>
			<table>
				<tr>
					<td colspan="2" align="left">
						<%-- Camp password --%>
						<fwk:password property="password" styleId="password" key="passwordKey"/>
				 		<br/><br/>
			 			Camp password, en el qu s'amaguen els carcters introduts.
					</td>
				</tr>
				<tr>
					<td colspan="2">&nbsp;</td>
				</tr>
				<tr>
					<td width="50%"><b>Configuraci JSP</b></td>
					<td><b>Configuraci action-servlet.xml</b></td>
				</tr>
				<tr>
					<td width="50%">
						<c:set var="jspTextTag">&lt;fwk:password styleId="password" property="password" key="passwordKey"/&gt;</c:set>
						<div class="code">
							<fwk:out value="${jspTextTag}" escapeXml="false"/>
						</div>
					</td>
					<td>
						<c:set var="configTextTag">
							&lt;bean parent="passwordFieldTag"&gt;<br/>
							&nbsp;&nbsp; &lt;property name="styleId" value="password"/&gt;<br/>
							&nbsp;&nbsp; &lt;property name="layout" value="false"/&gt;<br/>
							&lt;/bean&gt;
						</c:set>
						<div class="code">
							<fwk:out value="${configTextTag}" escapeXml="false"></fwk:out>
						</div>
					</td>
				</tr>
			</table>
		</fieldset>
		<fieldset>
			<legend>Autocomplete tag (fwk:autocomplete)</legend>
			<table>
				<tr>
					<td colspan="2" align="left">
						<%-- Autocompleter--%>
						<fwk:text styleId="animalFavorit" styleClass="fieldtext" property="animalFavorit.id" key="animalFavorit" />
						<fwk:text styleId="animalFavorit2" styleClass="fieldtext" property="animalFavorit.nom" key="animalFavorit" />
						<fwk:autocomplete source="animalFavorit" target="animalFavorit2" queryParameter="nom" selectedProperty="nom"						 
							parameters="nom" minimumCharacters="1" optionsListName="animalsList" />
				 		<br/><br/>
			 			Camp de text que inclou autocompletat de valors:
		 				<ul>
						  <li>Introdum text en l'input definit com a source i es mostra un desplegable amb la llista de resultats</li>
						  <li>La query que es llanar s'indica a la propietat "optionsListName", la qual ha d'estar definida al fitxer canigo-services-web-options-list.xml</li>
						  <li>La query s'executar en el moment que s'introdueixin en l'input "source" tants carcters com els que hi hagi defints a "minimumCharacters"</li>						  
						  <li>El resultat que se seleccioni es mostrar en el camp de text definit com a target</li>
						  <li>Es mostrar com a resultat la propietat del pojo definida com a "selectedProperty"</li>
						  <li>Exemple:
						  	<ol>
							  <li>Introduu el carcter 'a', veureu que obtindreu 4 resultats</li>
							  <li>Introduu els carcters 'man', veureu que obtindreu "mandril" com a resultat</li>
							  <li>Introduu el carcter 'w', veureu que no obtindreu cap resultat degut a qu no hi ha cap element que contingui aquest carcter</li>
							</ol>
						  </li>	
						</ul>			 			
						<br/>
					</td>
				</tr>
				<tr>
					<td colspan="2">&nbsp;</td>
				</tr>
				<tr>
					<td colspan="2"><b>Configuraci JSP</b> (*)</td>
				</tr>
				<tr>
					<td colspan="2">
						<c:set var="jspTextTag">
							&lt;fwk:text styleId="animalFavorit" styleClass="fieldtext" property="animalFavorit.id" key="animalFavorit"/&gt;<br/>
							&lt;fwk:text styleId="animalFavorit2" styleClass="fieldtext" property="animalFavorit.nom" key="animalFavorit"/&gt;<br/>
							&lt;fwk:autocomplete source="animalFavorit" target="animalFavorit2" queryParameter="nom" selectedProperty="nom"						 
								parameters="nom" minimumCharacters="1" optionsListName="animalsList"/&gt;
						</c:set>
						<div class="code">
							<fwk:out value="${jspTextTag}" escapeXml="false"/>
						</div>
					</td>					
				</tr>
			</table>
		</fieldset>
		
		<fieldset>
			<legend>SearchPanel tag (fwk:searchPanel)</legend>
			<table>
				<tr>
					<td colspan="2" align="left">
						<%-- Search Panel --%>
						<fwk:text styleId="searchPanelText" property="searchPanelText" />
												
						<input type="button" value="search" id="searchPanelButton" />
						<fwk:searchPanel styleId="searchPanel" source="searchPanelButton" 
							target="searchPanelText" popupId="searchPanelDiv" optionsListName="animalsList"
							tableProperties="id,nom,categoria" selectedProperty="nom" 
							columnLabels="id,nom,categoria" queryParameter="nom" />
				 		<br/><br/>
			 			Panell de cerca:
		 				<ul>
						  <li>Fem clic en el bot "search" i s'obre un panell amb un camp de text i una taula buida</li>
						  <li>Les columnes que apareixen sn les definides en la propietat "columnLabels" (les quals corresponen a claus multiidioma)</li>
						  <li>Introdum text en el camp i es fa clic al bot "buscar" per tal que s'executi la query</li>
						  <li>La query s'indica a la propietat "optionsListName", la qual ha d'estar definida al fitxer canigo-services-web-options-list.xml i el parmetre que se li passa s el valor definit en la propietat "queryParameter"</li>
						  <li>Es mostraran com a resultat les columnes indicades a la propietat "tableProperties"</li>						  
						  <li>Fent clic a un dels resultats, se'ns informar l'input que s'ha indicat com a "target"</li>
						  <li>Es mostrar com a resultat la propietat del pojo definida com a "selectetProperty"</li>
						  <li>Exemple:
						  	<ol>
							  <li>Introduu el carcter 'a', veureu que obtindreu 4 resultats</li>
							  <li>Introduu els carcters 'man', veureu que obtindreu "mandril" com a resultat</li>
							  <li>Introduu el carcter 'w', veureu que no obtindreu cap resultat degut a qu no hi ha cap element que contingui aquest carcter</li>
							</ol>
						  </li>
						</ul>
						<br/>
					</td>
				</tr>
				<tr>
					<td colspan="2">&nbsp;</td>
				</tr>
				<tr>
					<td width="50%"><b>Configuraci JSP</b></td>
					<td><b>Configuraci action-servlet.xml</b></td>
				</tr>
				<tr>
					<td>
						<c:set var="jspTextTag">
							&lt;fwk:text styleId="searchPanelText" property="searchPanelText"/&gt;<br/>
							&lt;input type="button" value="search" id="searchPanelButton"/&gt;<br/>
							&lt;fwk:searchPanel styleId="searchPanel" source="searchPanelButton" target="searchPanelText" 
							popupId="searchPanelDiv" optionsListName="animalsList" tableProperties="id,nom,categoria" 
							selectedProperty="nom" columnLabels="id,nom,categoria" queryParameter="nom"/&gt;
						</c:set>
						<div class="code">
							<fwk:out value="${jspTextTag}" escapeXml="false"/>
						</div>
					</td>
					<td width="50%">
						<c:set var="configTextTag">
							&lt;bean parent="searchPanelFieldTag"&gt;<br/>
							&nbsp;&nbsp; &lt;property name="styleId" value="searchPanel"/&gt;<br/>
							&nbsp;&nbsp; &lt;property name="layout" value="false"/&gt;<br/>
							&lt;/bean&gt;
						</c:set>
						Definir l'input de text que contindr l'opci seleccionada (de la forma habitual) i el tag searchPanel: 
						<br/>
						<div class="code">
							<fwk:out value="${configTextTag}" escapeXml="false"></fwk:out>
							<br/>							
						</div>
					</td>					
				</tr>
			</table>
		</fieldset>
		
		<fieldset>
			<legend>Textarea tag (fwk:textarea)</legend>
			<table width="100%">
				<tr>
					<td colspan="2">
						<%-- textArea --%>
						<fieldset style="padding: 5px; float: left;">			
							<fwk:textarea property="comments" styleId="comments"></fwk:textarea>
						</fieldset>
				 		<div style="margin-top: 10px;">
			 			rea de text amb editor. Una rea de text sense editor es configura eliminant la propietat "decoratorProperties".<br/>
			 			Es pot configurar el textArea amb l'editor ms complet indicant 'theme' com 'advanced' en lloc de 'simple'
			 			</div>
					</td>
				</tr>
				<tr>
					<td colspan="2">&nbsp;</td>
				</tr>
				<tr>
					<td width="50%"><b>Configuraci JSP</b></td>
					<td><b>Configuraci action-servlet.xml</b></td>
				</tr>
				<tr>
					<td width="50%">
						<c:set var="jspTextTag">&lt;fwk:textarea styleId="comments" property="comments"/&gt;</c:set>
						<div class="code">
							<fwk:out value="${jspTextTag}" escapeXml="false"/>
						</div>
					</td>
					<td>
						<c:set var="configTextTag">
							&lt;bean parent="textAreaFieldTag"&gt;<br/>
							&nbsp;&nbsp; &lt;property name="styleId" value="comments"/&gt;<br/>
							&nbsp;&nbsp; &lt;property name="layout" value="false"/&gt;<br/>
							&nbsp;&nbsp; &lt;property name="key" value="comments"/&gt;<br/>
							&nbsp;&nbsp; &lt;property name="rows" value="10"/&gt;<br/>
							&nbsp;&nbsp; &lt;property name="cols" value="15"/&gt;<br/>
							&nbsp;&nbsp; &lt;property name="decoratorProperties"&gt;<br/>
							&nbsp;&nbsp;&nbsp; &lt;map&gt;<br/>
							&nbsp;&nbsp;&nbsp;&nbsp; &lt;entry&gt;<br/>
							&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &lt;key&gt;<br/>
							&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &lt;value&gt;theme&lt;/value&gt;<br/>
							&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &lt;/key&gt;<br/>
							&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &lt;value&gt;simple&lt;/value&gt;<br/>
							&nbsp;&nbsp;&nbsp;&nbsp; &lt;/entry&gt;<br/>
							&nbsp;&nbsp;&nbsp;&nbsp; &lt;entry&gt;<br/>
							&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &lt;key&gt;<br/>
							&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &lt;value&gt;mode&lt;/value&gt;<br/>
							&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &lt;/key&gt;<br/>
							&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &lt;value&gt;exact&lt;/value&gt;<br/>
							&nbsp;&nbsp;&nbsp;&nbsp; &lt;/entry&gt;<br/>
							&nbsp;&nbsp;&nbsp; &lt;/map&gt;<br/>
							&nbsp;&nbsp; &lt;/property&gt;<br/>
							&lt;/bean&gt;
						</c:set>
						<div class="code">
							<fwk:out value="${configTextTag}" escapeXml="false"></fwk:out>
						</div>
					</td>
				</tr>
			</table>
		</fieldset>
	</fieldset>
	<br/>
	<fieldset class="striped_box">
		<legend><a name="select_tags">Camps de selecci/opcions</a></legend>
			<fieldset>
			<legend>Select tag (fwk:select)</legend>
			<table>
				<tr>
					<td colspan="2">
						<%--Camp select amb llista programtica (veure la classe ExampleOptionListSource). 
							Atenci a la property 'selectPojo.id' 
						--%>
						<fwk:select property="selectPojo.id" styleId="selectPojo" key="selectKey"></fwk:select>
				 		<br/><br/>
			 			Camp select les opcions del qual es recuperen de la llista definida a la propietat "optionsListName" dins el fitxer de configuraci
					</td>
				</tr>
				<tr>
					<td colspan="2">&nbsp;</td>
				</tr>
				<tr>
					<td width="50%"><b>Configuraci JSP</b></td>
					<td><b>Configuraci action-servlet.xml</b></td>
				</tr>
				<tr>
					<td width="50%">
						<c:set var="jspTextTag">&lt;fwk:select property="selectPojo.id" styleId="selectPojo" key="selectKey"/&gt;</c:set>
						<div class="code">
							<fwk:out value="${jspTextTag}" escapeXml="false"/>
						</div>
					</td>
					<td>
						<c:set var="configTextTag">
							&lt;bean parent="selectFieldTag"&gt;<br/>
							&nbsp;&nbsp; &lt;property name="styleId" value="selectPojo"/&gt;<br/>
							&nbsp;&nbsp; &lt;property name="optionsListName" value="exempleSelectList"/&gt;<br/>
							&nbsp;&nbsp; &lt;property name="layout" value="false"/&gt;<br/>
							&lt;/bean&gt;
						</c:set>
						<div class="code">
							<fwk:out value="${configTextTag}" escapeXml="false"></fwk:out>
						</div>
					</td>
				</tr>
			</table>
		</fieldset>
		
		<fieldset>
			<legend>Select tag amb opci per defecte (fwk:select + otherKey, otherValue)</legend>
			<table>
				<tr>
					<td colspan="2">
						<%--Camp select amb llista programtica (veure la classe ExampleOptionListSource). 
							Atenci a la property 'selectPojo.desc' 
						--%>
						<fwk:select property="selectPojo.desc" styleId="selectOtherKey" key="selectOtherKey" otherKey="blank" otherValue="hola"/>
				 		<br/><br/>
			 			Camp select amb una opci en blanc el valor del qual correspon a una clau multiidioma, definint la clau a la propietat "otherKey".
			 			En aquest cas, "blank=Escull una opci", en el fitxer de propietats de catal. La propietat "otherValue" indica el valor que s'enviar
			 			al fer submit si se selecciona aquesta opci.
					</td>
				</tr>
				<tr>
					<td colspan="2">&nbsp;</td>
				</tr>
				<tr>
					<td width="50%"><b>Configuraci JSP</b></td>
					<td><b>Configuraci action-servlet.xml</b></td>
				</tr>
				<tr>
					<td width="50%">
						<c:set var="jspTextTag">&lt;fwk:select property="selectPojo.desc" styleId="selectOtherKey" key="selectOtherKey" otherKey="blank" otherValue="hola"/&gt;</c:set>
						<div class="code">
							<fwk:out value="${jspTextTag}" escapeXml="false"/>
						</div>
					</td>
					<td>
						<c:set var="configTextTag">
							&lt;bean parent="selectFieldTag"&gt;<br/>
							&nbsp;&nbsp; &lt;property name="styleId" value="selectOtherKey"/&gt;<br/>
							&nbsp;&nbsp; &lt;property name="optionsListName" value="exempleOtherKeyList"/&gt;<br/>
							&nbsp;&nbsp; &lt;property name="layout" value="false"/&gt;<br/>
							&lt;/bean&gt;
						</c:set>
						<div class="code">
							<fwk:out value="${configTextTag}" escapeXml="false"></fwk:out>
						</div>
					</td>
				</tr>
			</table>
		</fieldset>		
		<fieldset>
			<legend>Selects dependents</legend>
			<table>				
				<tr>
					<td colspan="2">
						<fwk:select property="categoria.id" styleId="selectCategories" optionsListName="categoriesList" key="selectsDependents"></fwk:select>
				 		<fwk:select property="selectedId" styleId="animalsByCategory"></fwk:select>					
						<br/><br/>
						Selects dependents: al seleccionar un valor del primer es carreguen en el segon les opcions en fuci d'aquest valor.
					</td>
				</tr>
				<tr>
					<td colspan="2">&nbsp;</td>
				</tr>
				<tr>
					<td width="50%"><b>Configuraci JSP</b></td>
					<td><b>Configuraci action-servlet.xml</b></td>
				</tr>
				<tr>
					<td width="50%">
						<c:set var="jspTextTag">
							&lt;fwk:select property="categoria.id" styleId="selectCategories" optionsListName="categoriesList" key="selectsDependents"/&gt;<br/>
							&lt;fwk:select property="nom" styleId="animalsByCategory"/&gt;
						</c:set>
						<div class="code">
							<fwk:out value="${jspTextTag}" escapeXml="false"/>
						</div>
					</td>
					<td>
						<c:set var="configTextTag">
							&lt;bean parent="selectFieldTag"&gt;<br/>
							&nbsp;&nbsp; &lt;property name="styleId" value="selectPojo"/&gt;<br/>
							&nbsp;&nbsp; &lt;property name="optionsListName" value="exempleSelectList"/&gt;<br/>
							&nbsp;&nbsp; &lt;property name="layout" value="false"/&gt;<br/>							
							&nbsp;&nbsp; &lt;property name="styleId" value="animalsByCategory"/&gt;<br/>
							&nbsp;&nbsp; &lt;property name="optionsListName" value="animalsOptionList"/&gt;<br/>
							&nbsp;&nbsp; &lt;property name="layout" value="false"/&gt;<br/>
							&nbsp;&nbsp; &lt;property name="selectFieldSource"&gt;<br/>
							&nbsp;&nbsp;&nbsp; &lt;map&gt;<br/>
							&nbsp;&nbsp;&nbsp;&nbsp; &lt;entry&gt;<br/>
							&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &lt;key&gt;&lt;value&gt;source&lt;/value&gt;&lt;/key&gt;<br/>
							&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &lt;value&gt;selectCategories&lt;/value&gt;<br/>
							&nbsp;&nbsp;&nbsp;&nbsp; &lt;/entry&gt;<br/>
							&nbsp;&nbsp;&nbsp;&nbsp; &lt;entry&gt;<br/>
							&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &lt;key&gt;&lt;value&gt;paramName&lt;/value&gt;&lt;/key&gt;<br/>
							&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &lt;value&gt;categoria&lt;/value&gt;<br/>
							&nbsp;&nbsp;&nbsp;&nbsp; &lt;/entry&gt;<br/>
							&nbsp;&nbsp;&nbsp; &lt;/map&gt;<br/>
							&nbsp;&nbsp; &lt;/property&gt;<br/>
							&lt;/bean&gt;
						</c:set>
						<div>
							El primer select no necessita cap configuraci especfica dins aquest fitxer, es defineix com un select estndard
						</div>
						<div class="code">
							<fwk:out value="${configTextTag}" escapeXml="false"></fwk:out>
						</div>
					</td>
				</tr>
			</table>
		</fieldset>
		<fieldset>
			<legend>Checkbox tag (fwk:checkbox)</legend>
			<table>
				<tr>
					<td colspan="2" >
						<%-- checkbox --%>
						<fieldset style="padding: 5px; float: left;">
							<fwk:checkbox styleId="habilitatCheck" property="habil"	key="habilitatKey" />
						</fieldset>
				 		<div style="margin-top: 10px;">
			 				Checkbox. La propietat correponent del pojo ha de ser un valor boole.
			 			</div>
					</td>
				</tr>
				<tr>
					<td colspan="2">&nbsp;</td>
				</tr>
				<tr>
					<td width="50%"><b>Configuraci JSP</b></td>
					<td><b>Configuraci action-servlet.xml</b></td>
				</tr>
				<tr>
					<td width="50%">
						<c:set var="jspTextTag">&lt;fwk:checkbox styleId="habilitatCheck" property="habil"	key="habilitatKey"/&gt;</c:set>
						<div class="code">
							<fwk:out value="${jspTextTag}" escapeXml="false"/>
						</div>
					</td>
					<td>
						<c:set var="configTextTag">
							&lt;bean parent="checkboxFieldTag"&gt;<br/>
							&nbsp;&nbsp; &lt;property name="styleId" value="habilitatCheck"/&gt;<br/>
							&nbsp;&nbsp; &lt;property name="layout" value="false"/&gt;<br/>
							&lt;/bean&gt;
						</c:set>
						<div class="code">
							<fwk:out value="${configTextTag}" escapeXml="false"></fwk:out>
						</div>
					</td>
				</tr>
			</table>
		</fieldset>
		<fieldset>
			<legend>Radio tag (fwk:radio)</legend>
			<table>
				<tr>
					<td colspan="2">
						<%-- Grup d'opcions amb un fieldset, cal envoltar-lo amb un span per que segueixi el layout --%>
						<label for="optionsFieldset">Options</label>
							<div>
							<fieldset id="optionsFieldset" >
								<fwk:radio key="optionKey1" property="optionValue" styleId="optionValue.1"  value="1"></fwk:radio><br/>
								<fwk:radio key="optionKey2" property="optionValue" styleId="optionValue.2"  value="2"></fwk:radio><br/>
								<fwk:radio key="optionKey3" property="optionValue" styleId="optionValue.3"  value="3"></fwk:radio><br/>
							</fieldset>
							</div>
				 		<br/><br/>
			 			Radio button.
					</td>
				</tr>
				<tr>
					<td colspan="2">&nbsp;</td>
				</tr>
				<tr>
					<td width="50%"><b>Configuraci JSP</b></td>
					<td><b>Configuraci action-servlet.xml</b></td>
				</tr>
				<tr>
					<td width="50%">
						<c:set var="jspTextTag">&lt;fwk:radio key="optionKey1" property="optionValue" styleId="optionValue.1"  value="1"/&gt;</c:set>
						<div class="code">
							<fwk:out value="${jspTextTag}" escapeXml="false"/>
						</div>
						<br/>
						<div>
							(Definir la resta d'opcions del radio button de la mateixa manera)
						</div>
					</td>
					<td>
						<c:set var="configTextTag">
							&lt;bean parent="radioTag"&gt;<br/>
							&nbsp;&nbsp; &lt;property name="optionValue.1" value="1"/&gt;<br/>
							&nbsp;&nbsp; &lt;property name="layout" value="false"/&gt;<br/>
							&lt;/bean&gt;							
						</c:set>
						<div class="code">
							<fwk:out value="${configTextTag}" escapeXml="false"></fwk:out>
						</div>
						<br/>
						<div>
							(Definir la resta d'opcions del radio button de la mateixa manera)
						</div>
					</td>
				</tr>
			</table>
		</fieldset>
		<fieldset>
			<legend>Swap tag (fwk:swapTag)</legend>
			<table>
				<tr>
					<td>
						<%-- exemple de Swap Select--%>
						<label for="swapFieldset">Selecciona:</label>
						<%-- <span> --%>
							<fieldset id="swapFieldset">
								<%-- Selects --%>
									<fwk:select styleId="allAnimals" property="allAnimals" multiple="true"
											styleClass="multipleSelect" size="10">
										<html:optionsCollection property="allAnimalsList" label="nom" value="id"/>
									</fwk:select> 
									<%-- Botons --%> 
									<div id="swapButtons">
										<input type="button" id="moveAllRight" value=">>" class="botonsswap" /><br/> 
										<input type="button" id="moveRight" value=">" class="botonsswap" /> <br/>
										<input type="button" id="moveLeft"	value="<" class="botonsswap" /> <br/>
										<input type="button" id="moveAllLeft"	value="<<" class="botonsswap" /><br/>
									</div>
									<fwk:select styleId="hateAnimals"
											property="hateAnimals" multiple="true" styleClass="multipleSelect" size="10">
											<html:optionsCollection property="hateAnimalsList" label="nom" value="id"/>
									</fwk:select>
						
									 <%-- decoradors de swap --%>
									 <fwk:swapTag source="moveAllRight" scope="ALL" action="MOVE" fromSelect="allAnimals" toSelect="hateAnimals" /> 
									 <fwk:swapTag source="moveRight" scope="SELECTED" action="MOVE"	fromSelect="allAnimals" toSelect="hateAnimals" /> 
									 <fwk:swapTag source="moveAllLeft" scope="ALL" action="MOVE" fromSelect="hateAnimals" toSelect="allAnimals" /> 
									 <fwk:swapTag source="moveLeft" scope="SELECTED" action="MOVE" fromSelect="hateAnimals" toSelect="allAnimals" />
							</fieldset>
						<%-- </span> --%>
						</td>
						<td>
						<br/><br/>
						Swap tag, en el que es poden moure les opcions d'un select a l'altre:
						<ul>
							<li>Per a definir el select mltiple s'ha de definir l'atribut 'styleClass="multipleSelect"'</li>
							<li>La llista correspon a un atribut del pojo de tipus List</li>
						</ul>						
					</td>
				</tr>
				<tr>
					<td colspan="2">&nbsp;</td>
				</tr>
				<tr>
					<td colspan="2"><b>Configuraci JSP</b> (*)</td>
				</tr>
				<tr>
					<td colspan="2">
						<c:set var="jspTextTag">							
							&lt;fwk:select styleId="allAnimals" property="allAnimals" multiple="true" styleClass="multipleSelect" size="10"&gt;<br/>
							&nbsp;&nbsp; &lt;html:optionsCollection property="allAnimalsList" label="nom" value="id"/&gt;<br/>
							&lt;/fwk:select&gt;<br/>
							<%-- Botons --%> 
							&lt;div id="swapButtons"&gt;<br/>
							&nbsp;&nbsp; &lt;input type="button" id="moveAllRight" value=">>" class="botonsswap"/&gt;<br/>
							&nbsp;&nbsp; &lt;input type="button" id="moveRight" value=">" class="botonsswap"/&gt;<br/>
							&nbsp;&nbsp; &lt;input type="button" id="moveLeft"	value="<" class="botonsswap"/&gt;<br/>
							&nbsp;&nbsp; &lt;input type="button" id="moveAllLeft"	value="<<" class="botonsswap"/&gt;<br/>
							&lt;/div&gt;<br/>
							&lt;fwk:select styleId="hateAnimals" property="hateAnimals" multiple="true" styleClass="multipleSelect" size="10"&gt;<br/>
							&nbsp;&nbsp; &lt;html:optionsCollection property="hateAnimalsList" label="nom" value="id"/&gt;<br/>
							&lt;/fwk:select&gt;<br/>
				
							 <%-- decoradors de swap --%>
							 &lt;fwk:swapTag source="moveAllRight" scope="ALL" action="MOVE" fromSelect="allAnimals" toSelect="hateAnimals"/&gt;<br/>
							 &lt;fwk:swapTag source="moveRight" scope="SELECTED" action="MOVE"	fromSelect="allAnimals" toSelect="hateAnimals"/&gt;<br/>
							 &lt;fwk:swapTag source="moveAllLeft" scope="ALL" action="MOVE" fromSelect="hateAnimals" toSelect="allAnimals"/&gt;<br/>
							 &lt;fwk:swapTag source="moveLeft" scope="SELECTED" action="MOVE" fromSelect="hateAnimals" toSelect="allAnimals"/&gt;<br/>
						</c:set>
						<div class="code">
							<fwk:out value="${jspTextTag}" escapeXml="false"/>
						</div>
					</td>
				</tr>
			</table>
		</fieldset>
		(*) En els casos en qu no apareix la columna <b>Configuraci action-servlet.xml</b>, significa no s'ha de definir el tag en qesti i s configurar de la forma habitual els tags que s'utilitzen.
	</fieldset>
	<div align="right">
		<%-- submit --%>
		<fwk:submit styleId="submit" reqCode="save"></fwk:submit>
	</div>
</fwk:form>
</fwk:html>

